Summary:        Version 0.6 of this Cross platform C++ game library
Name:           ClanLib06
Version:        0.6.5
Release:        7%{?dist}
Group:          System Environment/Libraries
License:        LGPL
URL:            http://www.clanlib.org/
Source0:        http://www.clanlib.org/download/legacy/ClanLib-%{version}-1.tar.gz
Patch0:         ClanLib-0.6.5-debian.patch
Patch1:         ClanLib-0.6.5-suse.patch
Patch2:         ClanLib-0.6.5-tolua++.patch
Patch3:         ClanLib-0.6.5-smalljpg.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libX11-devel libXext-devel libXt-devel libGLU-devel
BuildRequires:  libICE-devel libXxf86vm-devel xorg-x11-proto-devel
BuildRequires:  libvorbis-devel libpng-devel libjpeg-devel mikmod-devel
BuildRequires:  tolua++-devel Hermes-devel freetype-devel autoconf perl
Provides:       clanlib06 = %{version}-%{release}

%description
Version 0.6 of this cross platform C++ game library, which is still used
by many games.


%package devel
Summary:        Development Libraries and Headers for ClanLib 0.6
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       libGLU-devel Hermes-devel mikmod-devel lua-devel libpng-devel
Provides:       clanlib06-devel = %{version}-%{release}

%description devel
ClanLib 0.6 development headers and libraries


%prep
%setup -q -n ClanLib-%{version}
%patch0 -p1 -z .deb
%patch1 -p1 -z .suse
%patch2 -p1 -z .tolua++
%patch3 -p1 -z .smalljpg
# mark asm files as NOT needing execstack
for i in `find Sources -name '*.s'`; do
  echo '.section .note.GNU-stack,"",@progbits' >> $i
done
autoconf


%build
%ifarch %{ix86}
ARCH_CONFIG_FLAGS=--enable-asm386
%endif
%configure --disable-dependency-tracking --disable-debug --enable-dyn \
  $ARCH_CONFIG_FLAGS
tolua++ -o Sources/Lua/clanbindings.cpp Sources/Lua/clanbindings.pkg
make %{?_smp_mflags}
pushd Documentation
make %{?_smp_mflags}
popd


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/*.a
pushd Documentation
make install HTML_PREFIX=`pwd`/html
popd


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING CREDITS NEWS ascii-logo
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc README README.gui README.upgrade Documentation/html
%{_bindir}/clanlib-config
%{_libdir}/*.so
%{_includedir}/ClanLib
%{_mandir}/man1/clanlib-config.1.gz


%changelog
* Mon Aug 28 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.6.5-7
- FE6 Rebuild

* Mon Jul 31 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.6.5-6
- Add missing Requires: libpng-devel to the -devel package <sigh>.

* Tue Jul 25 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.6.5-5
- Add missing BRs: libGLU-devel freetype-devel libXt-devel. To Fix resp
  building of clanGL, clanTTF and X detection on FC-5.

* Tue Jul 25 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.6.5-4
- Add missing Requires: libGLU-devel Hermes-devel mikmod-devel lua-devel to
  the -devel package.

* Sun Jul 23 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.6.5-3
- Mark asm files as NOT needing execstack, making us OK with new default
  SELinux targeted policy settings.

* Sun Jul 23 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.6.5-2
- Add missing BRs: tolua++-devel, Hermes-devel and autoconf

* Wed Jul 19 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.6.5-1
- Initial FE version based on the newrpms SRPM by Che.
